/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreNojumplist;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreNojumplistRecord extends TableRecordImpl<VCoreNojumplistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_nojumplist.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_nojumplist.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_nojumplist.nojumplist</code>.
     */
    public void setNojumplist(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_nojumplist.nojumplist</code>.
     */
    public String getNojumplist() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreNojumplistRecord
     */
    public VCoreNojumplistRecord() {
        super(VCoreNojumplist.V_CORE_NOJUMPLIST);
    }

    /**
     * Create a detached, initialised VCoreNojumplistRecord
     */
    public VCoreNojumplistRecord(Integer fkElement, String nojumplist) {
        super(VCoreNojumplist.V_CORE_NOJUMPLIST);

        setFkElement(fkElement);
        setNojumplist(nojumplist);
        resetChangedOnNotNull();
    }
}
